# Generated by go2rpm 1
%bcond_without check

# https://github.com/open-policy-agent/opa
%global goipath         github.com/open-policy-agent/opa
Version:                0.24.0
# short_commit is used to display in opa version
%global short_commit    b69b80b7

%gometa

%global common_description %{expand:
An open source, general-purpose policy engine.

The Open Policy Agent (OPA) is an open source, general-purpose policy engine
that enables unified, context-aware policy enforcement across the entire
stack.}

%global golicenses      LICENSE
%global godocs          docs/content CHANGELOG.md README.md MAINTAINERS.md\\\
                        ADOPTERS.md CODE_OF_CONDUCT.md CONTRIBUTING.md\\\
                        GOVERNANCE.md SECURITY.md

Name:           open-policy-agent
Release:        2%{?dist}
Summary:        Open source, general-purpose policy engine

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
# Make telemetry opt-out
Patch0:         0001-Make-telemetry-opt-out.patch
# Fix tests failing on 32-bit arch
Patch1:         https://github.com/open-policy-agent/opa/pull/2826.patch#/0001-tests-fix-tests-failing-on-32-bit-arch.patch

BuildRequires:  golang(github.com/fsnotify/fsnotify)
BuildRequires:  golang(github.com/ghodss/yaml)
BuildRequires:  golang(github.com/gobwas/glob)
BuildRequires:  golang(github.com/gorilla/mux)
BuildRequires:  golang(github.com/olekukonko/tablewriter)
BuildRequires:  golang(github.com/OneOfOne/xxhash)
BuildRequires:  golang(github.com/peterh/liner)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/promhttp)
BuildRequires:  golang(github.com/rcrowley/go-metrics)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(github.com/spf13/pflag)
BuildRequires:  golang(github.com/yashtewari/glob-intersection)
BuildRequires:  golang(golang.org/x/net/http2)
BuildRequires:  golang(golang.org/x/net/http2/h2c)

%description
%{common_description}

%gopkg

%prep
%goprep
%autopatch -p1
find . -name "*.go" -exec sed -i "s|gopkg.in/fsnotify.v1|github.com/fsnotify/fsnotify|" "{}" +;

%build
%gobuild -o %{gobuilddir}/bin/generate-man %{goipath}/build/generate-man
export LDFLAGS="-X %{goipath}/version.Version=%{version} -X %{goipath}/version.Vcs=%{short_commit} -X %{goipath}/version.Timestamp=$(./build/get-build-timestamp.sh) "
%gobuild -o %{gobuilddir}/bin/opa %{goipath}
mkdir _man
%{gobuilddir}/bin/generate-man _man
rm %{gobuilddir}/bin/generate-man

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
install -d -p -m 0755                   %{buildroot}%{_mandir}/man1
install -D -p -m 0644 _man/*            %{buildroot}%{_mandir}/man1/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc docs/content CHANGELOG.md README.md MAINTAINERS.md ADOPTERS.md CODE_OF_CONDUCT.md
%doc CONTRIBUTING.md GOVERNANCE.md SECURITY.md
%{_mandir}/man1/opa*.1*
%{_bindir}/*

%gopkgfiles

%changelog
* Tue Oct 27 2020 Olivier Lemasle <o.lemasle@gmail.com> - 0.24.0-2
- Fix failing tests on 32-bit architectures
- Make telemetry service opt-out
- Fix version output

* Tue Oct 27 2020 Olivier Lemasle <o.lemasle@gmail.com> - 0.24.0-1
- Update to latest upstream 0.24

* Tue Apr 07 08:15:00 CEST 2020 Olivier Lemasle <o.lemasle@gmail.com> - 0.18.0-1
- Initial package

